{
  "name": "@platform/vscode",
  "private": true,
  "version": "0.0.7",
  "description": "multiplatform.one vscode platform",
  "engines": {
    "node": ">=18",
    "vscode": "^1.75.0"
  },
  "publisher": "multiplatform.one",
  "main": "dist/extension/index.js",
  "activationEvents": [],
  "contributes": {
    "commands": [
      {
        "command": "hello-world.showHelloWorld",
        "title": "Hello World: Show"
      }
    ]
  },
  "scripts": {
    "dev": "vite",
    "build": "tsc && vite build",
    "preview": "vite preview",
    "typecheck": "tsc --noEmit"
  },
  "dependencies": {
    "@multiplatform.one/components": "workspace:5.0.27",
    "@multiplatform.one/keycloak": "workspace:5.0.27",
    "@tamagui/core": "^1.122.6",
    "@tamagui/web": "^1.122.6",
    "@vscode/webview-ui-toolkit": "^1.4.0",
    "app": "workspace:*",
    "gql": "workspace:*",
    "i18next": "^23.16.8",
    "multiplatform.one": "workspace:5.0.27",
    "react": "~18.2.0",
    "react-dom": "~18.2.0",
    "react-i18next": "^14.1.3",
    "react-native-web": "~0.19.13",
    "react-router-dom": "^6.28.2",
    "tamagui": "^1.122.6",
    "ui": "workspace:*"
  },
  "devDependencies": {
    "@multiplatform.one/utils": "workspace:5.0.27",
    "@tamagui/vite-plugin": "^1.122.6",
    "@tomjs/tsconfig": "^1.7.1",
    "@tomjs/vite-plugin-vscode": "^3.2.1",
    "@types/react": "^18.3.1",
    "@types/react-dom": "^18.3.0",
    "@types/vscode": "^1.93.0",
    "@types/vscode-webview": "^1.57.5",
    "@vitejs/plugin-react": "^4.3.3",
    "@vitejs/plugin-react-swc": "^3.7.0",
    "dotenv": "^16.4.5"
  }
}
